> For the complete documentation index, see [llms.txt](https://docs.risewallet.io/introduction/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.risewallet.io/introduction/integrations/integrate-rise-wallet/without-the-wallet-adapter/establishing-connection.md).

# Establishing Connection

In order to start interacting with the Rise Wallet, an app must first establish a connection.&#x20;

This connection request will prompt the user for permission to share their ***address***, indicating that they are willing to interact further. Once permission is established for the first time, the web application's domain will be ***whitelisted*** for future connection requests.&#x20;

Similarly, it is possible to terminate the connection both on the application and the user side.

\
The `window.rise` object exposes a `connect()` function that returns a Promise that resolves to `object` (defined below) when the user accepts the connection request, and resolves to `false` when the user declines the request or closes the pop-up.

```javascript
const response = await window.rise.connect()
console.log(respone)
//{
//  address: "0xe19578243c9744fb4b7675192ed1c489d64e2aab17bc37cc1446b6e5601d7ce8"
//  authKey: "0xe19578243c9744fb4b7675192ed1c489d64e2aab17bc37cc1446b6e5601d7ce8"
//  publicKey: "0x71c87ca87e89dd7d02d224465cc40a1aafb10a76a91a0857ddac29fe0c3cdf23"
//}
```

You can also listen for the `connect` event.

```javascript
window.rise.on("connect", () => console.log("connected!"));
```

Once connected to the Rise Wallet extension, `window.rise` object gets updated and exposes a few convenient properties like `isConnected`, `publicKey`, `address` and `authKey`

```javascript
console.log(window.rise.isConnected())
// true
console.log(window.rise.publicKey)
// '0x71c87ca87e89dd7d02d224465cc40a1aafb10a76a91a0857ddac29fe0c3cdf23'
console.log(window.rise.address)
// '0xe19578243c9744fb4b7675192ed1c489d64e2aab17bc37cc1446b6e5601d7ce8'
console.log(window.rise.authKey)
// '0xe19578243c9744fb4b7675192ed1c489d64e2aab17bc37cc1446b6e5601d7ce8'

```

### Disconnecting

Disconnecting is done by calling `disconnect()` function

```javascript
window.rise.disconnect()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.risewallet.io/introduction/integrations/integrate-rise-wallet/without-the-wallet-adapter/establishing-connection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
